LonBlast
Contributor
Contributor

New Install of VCSA 7.02

Jump to solution

I'm trying to do a fresh install of VCSA and keep getting the error below when the installation reached 51%.

Error Encountered an internal error. Traceback (most recent call last): File "/usr/lib/vmware/site-packages/cis/cisreglib.py", line 249, in securityctx_modifier yield File "/usr/lib/vmware/site-packages/cis/cisreglib.py", line 590, in _doLogin ds_sessionmgr.LoginBySamlToken() File "/usr/lib/vmware/site-packages/pyVmomi/VmomiSupport.py", line 583, in self.f(*(self.args + (obj,) + args), **kwargs) File "/usr/lib/vmware/site-packages/pyVmomi/VmomiSupport.py", line 373, in _InvokeMethod return self._stub.InvokeMethod(self, info, args) File "/usr/lib/vmware/site-packages/pyVmomi/SoapAdapter.py", line 1570, in InvokeMethod raise obj # pylint: disable-msg=E0702 pyVmomi.VmomiSupport.vmodl.fault.SecurityError: (vmodl.fault.SecurityError) { dynamicType = , dynamicProperty = (vmodl.DynamicProperty) [], msg = '', faultCause = , faultMessage = (vmodl.LocalizableMessage) [] } During handling of the above exception, another exception occurred: Traceback (most recent call last): File "/usr/lib/vmidentity/firstboot/svcaccountmgmt-firstboot.py", line 64, in registerSvcAccountMgmtWithLookupService dynVars=dynVars) File "/usr/lib/vmware-cm/bin/cloudvmcisreg.py", line 710, in cloudvm_sso_cm_register serviceId = do_lsauthz_operation(cisreg_opts_dict) File "/usr/lib/vmware/site-packages/cis/cisreglib.py", line 1151, in do_lsauthz_operation authz_client.load_privs(privs_obj_list) File "/usr/lib/vmware/site-packages/cis/cisreglib.py", line 669, in load_privs self._authz_intservice.AddOrUpdatePrivileges(priv_obj_list) File "/usr/lib/vmware/site-packages/pyVmomi/VmomiSupport.py", line 583, in self.f(*(self.args + (obj,) + args), **kwargs) File "/usr/lib/vmware/site-packages/pyVmomi/VmomiSupport.py", line 373, in _InvokeMethod return self._stub.InvokeMethod(self, info, args) File "/usr/lib/vmware/site-packages/pyVmomi/SoapAdapter.py", line 1778, in InvokeMethod self._CallLoginMethod() File "/usr/lib/vmware/site-packages/pyVmomi/SoapAdapter.py", line 1844, in _CallLoginMethod self.loginMethod(self.soapStub) File "/usr/lib/vmware/site-packages/cis/cisreglib.py", line 590, in _doLogin ds_sessionmgr.LoginBySamlToken() File "/usr/lib/python3.7/contextlib.py", line 161, in __exit__ raise RuntimeError("generator didn't stop after throw()") RuntimeError: generator didn't stop after throw() During handling of the above exception, another exception occurred: Traceback (most recent call last): File "/usr/lib/vmidentity/firstboot/svcaccountmgmt-firstboot.py", line 116, in main svcAccountMgmtFb.firstbootAction() File "/usr/lib/vmidentity/firstboot/svcaccountmgmt-firstboot.py", line 43, in firstbootAction self.startService() File "/usr/lib/vmidentity/firstboot/svcaccountmgmt-firstboot.py", line 38, in startService self.registerSvcAccountMgmtWithLookupService() File "/usr/lib/vmidentity/firstboot/svcaccountmgmt-firstboot.py", line 73, in registerSvcAccountMgmtWithLookupService traceback.format_exc()))) File "/usr/lib/vmware/site-packages/cis/l10n.py", line 75, in localizedString l10nMsg = L10nMessage(msgMeta, args) File "/usr/lib/vmware/site-packages/cis/msgL10n.py", line 214, in __init__ raise ValueError("Invalid L10nMessage metadata %s", msgMeta) ValueError: ('Invalid L10nMessage metadata %s', (,)) Resolution This is an unrecoverable error, please retry install. If you encounter this error again, please search for these symptoms in the VMware Knowledge Base for any known issues and possible resolutions. If none can be found, collect a support bundle and open a support request.

I have tried inserting my VCSA ip address as the FQDN but to no avail.

I tried DNS lookup and it is able to nslookup.

There are 3 VM that are running in the host that I am trying to install the vCenter.

The NTP and certificates are correct. Hence i am lost on what to do, please help to advice me as I am new to this.

 

0 Kudos
1 Solution

Accepted Solutions
Alex_Romeo
Leadership
Leadership

Hi,

You are installing the VCSA 7.0 on an Esxi host, so ESXi already exists. Access the web interface of the Esxi host and install a new Virtual machine. Then then import the ISO file into the Esxi host datastore and mount the ISO on the cd-rom of the virtual machine you have installed.
Then from the virtual machine start the installation of VCSA 7.0

If you have already installed Esxi, log in as follows: https://<FQDN>or<IP>\ui

 

ARomeo

Blog: https://www.aleadmin.it/

View solution in original post

0 Kudos
5 Replies
Alex_Romeo
Leadership
Leadership

Hi,

Run this test ... copy the VCSA ISO file to the Esxi host datastore and mount the ISO image on a VM located on the host where you need to install VCSA.

let me know

Regards,

Alessandro Romeo

Blog: https://www.aleadmin.it/
0 Kudos
LonBlast
Contributor
Contributor

how do i access the datastore from the VM or should i put the iso into the VM storage?

0 Kudos
Alex_Romeo
Leadership
Leadership

Hi,

look at this this official document:

https://docs.vmware.com/en/VMware-vSphere/6.7/com.vmware.vsphere.html.hostclient.doc/GUID-139C3002-1...

ARomeo

 

Blog: https://www.aleadmin.it/
0 Kudos
LonBlast
Contributor
Contributor

If i put the ISO in a different folder(ie. a new directory in the same datastore), how do i access the ISO from the VM as currently i do not have Vsphere installed. Do i just SSH to the VMware Host Client?

0 Kudos
Alex_Romeo
Leadership
Leadership

Hi,

You are installing the VCSA 7.0 on an Esxi host, so ESXi already exists. Access the web interface of the Esxi host and install a new Virtual machine. Then then import the ISO file into the Esxi host datastore and mount the ISO on the cd-rom of the virtual machine you have installed.
Then from the virtual machine start the installation of VCSA 7.0

If you have already installed Esxi, log in as follows: https://<FQDN>or<IP>\ui

 

ARomeo

Blog: https://www.aleadmin.it/
0 Kudos